package CRSDK;

@SuppressWarnings("unused")
public enum CrFrameInfoType {
    CrFrameInfoType_Unknown (0x0000),
    CrFrameInfoType_FocusFrameInfo (CrFrameInfoType_Unknown.getValue()+1),
    CrFrameInfoType_Magnifier_Position (CrFrameInfoType_Unknown.getValue()+2),
    CrFrameInfoType_FaceFrameInfo (0x0004),
    CrFrameInfoType_TrackingFrameInfo (CrFrameInfoType_FaceFrameInfo.getValue()+1),
    CrFrameInfoType_FramingFrameInfo (CrFrameInfoType_FaceFrameInfo.getValue()+2),
    CrFrameInfoType_Level (CrFrameInfoType_FaceFrameInfo.getValue()+3);

    private final CrInt16u value;
    CrFrameInfoType(int value) {
        this.value = new CrInt16u(value);
    }
    public int getValue() {
        return value.intValue();
    }
}
